FORUMS
Remove All Ads from XDA

Xperia framework cm11(solved)

1,185 posts
Thanks Meter: 399
 
By bhavstech, Senior Member on 18th August 2014, 07:10 AM
Post Reply Subscribe to Thread Email Thread
I AM NOT ABLE TO RECOMPILE USING THIS METHOD CAN ANY1 PLEASE HELP ME AND THEME OUR FRAMEWORK ACC TO THIS GUIDE http://forum.xda-developers.com/andr...6#post54871675
Last edited by bhavstech; 23rd August 2014 at 11:46 AM.
 
 
19th August 2014, 09:42 PM |#2  
Senior Member
Flag Moon
Thanks Meter: 12
 
More
Quote:
Originally Posted by bhavstech

I AM NOT ABLE TO RECOMPILE USING THIS METHOD CAN ANY1 PLEASE HELP ME AND THEME OUR FRAMEWORK ACC TO THIS GUIDE http://forum.xda-developers.com/andr...6#post54871675

what error do you get while recompiling? are you using apktool?
Last edited by chimmychenga; 19th August 2014 at 09:47 PM. Reason: add some things
20th August 2014, 10:26 AM |#3  
bhavstech's Avatar
OP Senior Member
Thanks Meter: 399
 
More
Quote:
Originally Posted by chimmychenga

what error do you get while recompiling? are you using apktool?

i get this error
F:\project\decompile\apktool1.5.2.tar\apktool1.5.2 \apktool1.5.2>apktool b framew
ork-res
W: Could not find sources
I: Checking whether resources has changed...
I: Building resources...
invalid resource directory name: F:\project\decompile\apktool1.5.2.tar\apktool1.
5.2\apktool1.5.2\framework-res\res/values-mcc310-mnc-1
invalid resource directory name: F:\project\decompile\apktool1.5.2.tar\apktool1.
5.2\apktool1.5.2\framework-res\res/values-mcc450-mnc-1
Exception in thread "main" brut.androlib.AndrolibException: brut.androlib.Androl
ibException: brut.common.BrutException: could not exec command: [aapt, p, --min-
sdk-version, 19, --target-sdk-version, 19, -F, C:\Users\Bhavya\AppData\Local\Tem
p\APKTOOL2684508379156101602.tmp, -x, -S, F:\project\decompile\apktool1.5.2.tar\
apktool1.5.2\apktool1.5.2\framework-res\res, -M, F:\project\decompile\apktool1.5
.2.tar\apktool1.5.2\apktool1.5.2\framework-res\AndroidManifest.xml]
at brut.androlib.Androlib.buildResourcesFull(Androlib .java:355)
at brut.androlib.Androlib.buildResources(Androlib.jav a:280)
at brut.androlib.Androlib.build(Androlib.java:203)
at brut.androlib.Androlib.build(Androlib.java:176)
at brut.apktool.Main.cmdBuild(Main.java:214)
at brut.apktool.Main.main(Main.java:74)
Caused by: brut.androlib.AndrolibException: brut.common.BrutException: could not
exec command: [aapt, p, --min-sdk-version, 19, --target-sdk-version, 19, -F, C:
\Users\Bhavya\AppData\Local\Temp\APKTOOL2684508379 156101602.tmp, -x, -S, F:\proj
ect\decompile\apktool1.5.2.tar\apktool1.5.2\apktoo l1.5.2\framework-res\res, -M,
F:\project\decompile\apktool1.5.2.tar\apktool1.5.2 \apktool1.5.2\framework-res\An
droidManifest.xml]
at brut.androlib.res.AndrolibResources.aaptPackage(An drolibResources.jav
a:335)
at brut.androlib.Androlib.buildResourcesFull(Androlib .java:333)
... 5 more
Caused by: brut.common.BrutException: could not exec command: [aapt, p, --min-sd
k-version, 19, --target-sdk-version, 19, -F, C:\Users\Bhavya\AppData\Local\Temp\
APKTOOL2684508379156101602.tmp, -x, -S, F:\project\decompile\apktool1.5.2.tar\ap
ktool1.5.2\apktool1.5.2\framework-res\res, -M, F:\project\decompile\apktool1.5.2
.tar\apktool1.5.2\apktool1.5.2\framework-res\AndroidManifest.xml]
at brut.util.OS.exec(OS.java:89)
at brut.androlib.res.AndrolibResources.aaptPackage(An drolibResources.jav
a:333)
... 6 more

F:\project\decompile\apktool1.5.2.tar\apktool1.5.2 \apktool1.5.2
>
Last edited by bhavstech; 20th August 2014 at 10:28 AM.
20th August 2014, 10:37 AM |#4  
Senior Member
Flag Moon
Thanks Meter: 12
 
More
Quote:
Originally Posted by bhavstech

i get this error

F:\project\decompile\apktool1.5.2.tar\apktool1.5.2 \apktool1.5.2>apktool b framew
ork-res
W: Could not find sources
I: Checking whether resources has changed...
I: Building resources...
invalid resource directory name: F:\project\decompile\apktool1.5.2.tar\apktool1.
5.2\apktool1.5.2\framework-res\res/values-mcc310-mnc-1
invalid resource directory name: F:\project\decompile\apktool1.5.2.tar\apktool1.
5.2\apktool1.5.2\framework-res\res/values-mcc450-mnc-1
Exception in thread "main" brut.androlib.AndrolibException: brut.androlib.Androl
ibException: brut.common.BrutException: could not exec command: [aapt, p, --min-
sdk-version, 19, --target-sdk-version, 19, -F, C:\Users\Bhavya\AppData\Local\Tem
p\APKTOOL2684508379156101602.tmp, -x, -S, F:\project\decompile\apktool1.5.2.tar\
apktool1.5.2\apktool1.5.2\framework-res\res, -M, F:\project\decompile\apktool1.5
.2.tar\apktool1.5.2\apktool1.5.2\framework-res\AndroidManifest.xml]
at brut.androlib.Androlib.buildResourcesFull(Androlib .java:355)
at brut.androlib.Androlib.buildResources(Androlib.jav a:280)
at brut.androlib.Androlib.build(Androlib.java:203)
at brut.androlib.Androlib.build(Androlib.java:176)
at brut.apktool.Main.cmdBuild(Main.java:214)
at brut.apktool.Main.main(Main.java:74)
Caused by: brut.androlib.AndrolibException: brut.common.BrutException: could not
exec command: [aapt, p, --min-sdk-version, 19, --target-sdk-version, 19, -F, C:
\Users\Bhavya\AppData\Local\Temp\APKTOOL2684508379 156101602.tmp, -x, -S, F:\proj
ect\decompile\apktool1.5.2.tar\apktool1.5.2\apktoo l1.5.2\framework-res\res, -M,
F:\project\decompile\apktool1.5.2.tar\apktool1.5.2 \apktool1.5.2\framework-res\An
droidManifest.xml]
at brut.androlib.res.AndrolibResources.aaptPackage(An drolibResources.jav
a:335)
at brut.androlib.Androlib.buildResourcesFull(Androlib .java:333)
... 5 more
Caused by: brut.common.BrutException: could not exec command: [aapt, p, --min-sd
k-version, 19, --target-sdk-version, 19, -F, C:\Users\Bhavya\AppData\Local\Temp\
APKTOOL2684508379156101602.tmp, -x, -S, F:\project\decompile\apktool1.5.2.tar\ap
ktool1.5.2\apktool1.5.2\framework-res\res, -M, F:\project\decompile\apktool1.5.2
.tar\apktool1.5.2\apktool1.5.2\framework-res\AndroidManifest.xml]
at brut.util.OS.exec(OS.java:89)
at brut.androlib.res.AndrolibResources.aaptPackage(An drolibResources.jav
a:333)
... 6 more

F:\project\decompile\apktool1.5.2.tar\apktool1.5.2 \apktool1.5.2
>

Ok, follow this steps:
1. Have you installed the latest java jdk and jre?
2. Have you download the latest android sdk?
3. Download the platform tools in android sdk. The latest tools + the one from build 17 or 19. I dont know for sure.
4. Go to the folder platform tools and there should be aapt.exe. copy this to your apktool folder. The only files there should be are the .exe .jar and .bat files.
Make sure there are no spaces in the names of folders.


Added: this thread should actually go to Q&A
Last edited by chimmychenga; 20th August 2014 at 10:39 AM. Reason: wrong thread
20th August 2014, 10:56 AM |#5  
bhavstech's Avatar
OP Senior Member
Thanks Meter: 399
 
More
Quote:
Originally Posted by chimmychenga

Ok, follow this steps:
1. Have you installed the latest java jdk and jre?
2. Have you download the latest android sdk?
3. Download the platform tools in android sdk. The latest tools + the one from build 17 or 19. I dont know for sure.
4. Go to the folder platform tools and there should be aapt.exe. copy this to your apktool folder. The only files there should be are the .exe .jar and .bat files.
Make sure there are no spaces in the names of folders.


Added: this thread should actually go to Q&A

i have everything i am able to recompile and decompile everythin but this doesnt get compiled
20th August 2014, 11:34 AM |#6  
Senior Member
Flag Moon
Thanks Meter: 12
 
More
Well as i see in your command you are using "b" wich means that you are recompiling.
If you want to edit framework-res.apk you need to install it firts by running the command: apktool if framework-res.apk. then decompile: apktool d framework-res.apk.then modify your framework. THEN, at last, run: apktool b framework-res, Without .apk. Now it is finished.
If it still doesn't work you have to try an other aapt.exe.
20th August 2014, 01:16 PM |#7  
bhavstech's Avatar
OP Senior Member
Thanks Meter: 399
 
More
Quote:
Originally Posted by chimmychenga

Well as i see in your command you are using "b" wich means that you are recompiling.
If you want to edit framework-res.apk you need to install it firts by running the command: apktool if framework-res.apk. then decompile: apktool d framework-res.apk.then modify your framework. THEN, at last, run: apktool b framework-res, Without .apk. Now it is finished.
If it still doesn't work you have to try an other aapt.exe.

solved it wan an issue with apk tool
The Following User Says Thank You to bhavstech For This Useful Post: [ View ] Gift bhavstech Ad-Free
20th August 2014, 01:30 PM |#8  
SFCMouco's Avatar
Senior Member
Flag Lisbon
Thanks Meter: 406
 
Donate to Me
More
Quote:
Originally Posted by bhavstech

solved it wan an issue with apk tool

Is it possible for you to share your work results if you are successful? I really will be thankful because I'm not very god whit that kind of procedures. Thanks in advance
20th August 2014, 01:55 PM |#9  
bhavstech's Avatar
OP Senior Member
Thanks Meter: 399
 
More
Quote:
Originally Posted by SFCMouco

Is it possible for you to share your work results if you are successful? I really will be thankful because I'm not very god whit that kind of procedures. Thanks in advance

of course but its not booting atm
Last edited by bhavstech; 20th August 2014 at 02:31 PM.
The Following User Says Thank You to bhavstech For This Useful Post: [ View ] Gift bhavstech Ad-Free
23rd August 2014, 12:08 PM |#10  
bhavstech's Avatar
OP Senior Member
Thanks Meter: 399
 
More
Quote:
Originally Posted by SFCMouco

Is it possible for you to share your work results if you are successful? I really will be thankful because I'm not very god whit that kind of procedures. Thanks in advance

http://forum.xda-developers.com/goog...-cm11-t2854266 here you go
Post Reply Subscribe to Thread

Guest Quick Reply (no urls or BBcode)
Message:
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes